Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Regler

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Regler

All Implemented Interfaces:
  Serializable

    public class Regler

extends Komponente
implements Serializable

Ein Regler ist die Klasse fuer Java-Sliders. Regler reagieren auf die Verschiebung des Reglers mit der Maus.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Regler(double pLinks, double pOben, double pBreite, double pHoehe, int pAnfangswert, int pMinwert, int pMaxwert)` Der Regler wird erzeugt.
`Regler(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, int pAnfangswert, int pMinwert, int pMaxwert)` Der Regler wird erzeugt.
`Regler(Fenster pFenster, int pStil, int pAnfangswert, int pMinwert, int pMaxwert)` Der Regler wird erzeugt.
`Regler(int pStil, int pAnfangswert, int pMinwert, int pMaxwert)` Der Regler wird erzeugt.

Method Summary
`protected void` | `bekommtFokus()` Der Regler erhaelt den Fokus.
`protected void` | `geaendert()` Der Regler reagiert auf eine Bewegung.
`int` | `maximum()` Das momentane Maximum des Reglers wird abgefragt.
`int` | `minimum()` Das momentane Minimum des Reglers wird abgefragt.
`void` | `setzeBearbeiterGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des Geaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeMaximum(int pWert)` Der Regler erhaelt eine neues Maximum.
`void` | `setzeMinimum(int pWert)` Der Regler erhaelt eine neues Minimum.
`void` | `setzeWert(int pWert)` Der Regler erhaelt eine neuen aktuellen Wert.
`protected void` | `verliertFokus()` Der Regler verliert den Fokus.
`int` | `wert()` Die momentane Position (Wert) des Reglers wird abgefragt.

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Regler

    public Regler(double pLinks,
                  double pOben,
                  double pBreite,
                  double pHoehe,
                  int pAnfangswert,
                  int pMinwert,
                  int pMaxwert)

  Der Regler wird erzeugt. Der Stil ist Ausrichtung.VERTIKAL oder Ausrichtung.HORIZONTAL. Ausserdem werden Anfangswert, Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAnfangswert` - der Anfangswert des Reglers
    `pMinwert` - der Minimalwert des Reglers
    `pMaxwert` - der Maximalwert des Reglers

### Regler

    public Regler(Fenster pFenster,
                  double pLinks,
                  double pOben,
                  double pBreite,
                  double pHoehe,
                  int pAnfangswert,
                  int pMinwert,
                  int pMaxwert)

  Der Regler wird erzeugt. Der Stil ist Ausrichtung.VERTIKAL oder Ausrichtung.HORIZONTAL. Ausserdem werden Anfangswert, Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe werden als Parameter uebergeben. Der Regler befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAnfangswert` - der Anfangswert des Reglers
    `pMinwert` - der Minimalwert des Reglers
    `pMaxwert` - der Maximalwert des Reglers

### Regler

    public Regler(Fenster pFenster,
                  int pStil,
                  int pAnfangswert,
                  int pMinwert,
                  int pMaxwert)

  Der Regler wird erzeugt. Der Stil ist Ausrichtung.VERTIKAL oder Ausrichtung.HORIZONTAL. Ausserdem werden Anfangswert, Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe wird im Anwendungsprogramm festgelegt. Der Regeler befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pStil` - die Ausrichtung des Reglers (siehe Klasse Ausrichtung)
    `pAnfangswert` - der Anfangswert des Reglers
    `pMinwert` - der Minimalwert des Reglers
    `pMaxwert` - der Maximalwert des Reglers

### Regler

    public Regler(int pStil,
                  int pAnfangswert,
                  int pMinwert,
                  int pMaxwert)

  Der Regler wird erzeugt. Der Stil ist Ausrichtung.VERTIKAL oder Ausrichtung.HORIZONTAL. Ausserdem werden Anfangswert, Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe wird im Anwendungsprogramm festgelegt.

  Parameters:
    `pStil` - die Ausrichtung des Reglers (siehe Klasse Ausrichtung)
    `pAnfangswert` - der Anfangswert des Reglers
    `pMinwert` - der Minimalwert des Reglers
    `pMaxwert` - der Maximalwert des Reglers

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Der Regler erhaelt den Fokus.

### geaendert

    protected void geaendert()

  Der Regler reagiert auf eine Bewegung.

### maximum

    public int maximum()

  Das momentane Maximum des Reglers wird abgefragt.

  Returns:
    das aktuelle Maximum des Reglers

### minimum

    public int minimum()

  Das momentane Minimum des Reglers wird abgefragt.

  Returns:
    das aktuelle Minimum des Reglers

### setzeBearbeiterGeaendert

    public void setzeBearbeiterGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des Geaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Regler geaendert wurde.

### setzeMaximum

    public void setzeMaximum(int pWert)

  Der Regler erhaelt eine neues Maximum.

  Parameters:
    `pWert` - das neue Maximum des Reglers

### setzeMinimum

    public void setzeMinimum(int pWert)

  Der Regler erhaelt eine neues Minimum.

  Parameters:
    `pWert` - das neue Minimum des Reglers

### setzeWert

    public void setzeWert(int pWert)

  Der Regler erhaelt eine neuen aktuellen Wert.

  Parameters:
    `pWert` - der neue Wert des Reglers

### verliertFokus

    protected void verliertFokus()

  Der Regler verliert den Fokus.

### wert

    public int wert()

  Die momentane Position (Wert) des Reglers wird abgefragt.

  Returns:
    der aktuelle Wert des Reglers

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD